vnfd:
  description: A VNF consisting of 2 VDUs w/proxy charm
  df:
  - id: default-df
    instantiation-level:
    - id: default-instantiation-level
      vdu-level:
      - number-of-instances: 1
        vdu-id: userVM
    vdu-profile:
    - id: userVM
      min-number-of-instances: 1
      vdu-configuration-id: userVM-vdu-configuration
  ext-cpd:
  - id: vnf-mgmt-ext
    int-cpd:
      cpd: userVM-eth0-int
      vdu-id: userVM
  id: nscharm-user-vnf
  int-virtual-link-desc:
  - id: internal
  mgmt-cp: vnf-mgmt-ext
  product-name: nscharm-user-vnf
  sw-image-desc:
  - id: ubuntu1604
    image: ubuntu16.04
    name: ubuntu1604
  vdu:
  - cloud-init-file: cloud-config.txt
    id: userVM
    int-cpd:
    - id: userVM-eth0-int
      virtual-network-interface-requirement:
      - name: userVM-eth0
        position: 1
        virtual-interface:
          type: VIRTIO
    - id: userVM-eth1-int
      int-virtual-link-desc: internal
      virtual-network-interface-requirement:
      - name: userVM-eth1
        position: 2
        virtual-interface:
          type: VIRTIO
    name: userVM
    sw-image-desc: ubuntu1604
    virtual-compute-desc: userVM-compute
    virtual-storage-desc:
    - userVM-storage
  vdu-configuration:
  - id: userVM-vdu-configuration
    initial-config-primitive:
    - name: config
      parameter:
      - name: ssh-hostname
        value: <rw_mgmt_ip>
      - name: ssh-username
        value: ubuntu
      - name: ssh-password
        value: osm4u
      seq: '1'
    juju:
      charm: vnf-user
      proxy: true
  version: '1.0'
  virtual-compute-desc:
  - id: userVM-compute
    virtual-cpu:
      num-virtual-cpu: 1
    virtual-memory:
      size: 1.0
  virtual-storage-desc:
  - id: userVM-storage
    size-of-storage: 10
